{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
osCommerce Product Manager for Windows (oscpmwin).
Copyright 2003,2004 by Mario A. Valdez-Ramirez.

You can contact Mario A. Valdez-Ramirez
by email at mario@mariovaldez.org or paper mail at
Olmos 809, San Nicolas, NL. 66495, Mexico.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
unit pimgzoom;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, ExtCtrls;

type
  Topm_Form_ImageZoom = class(TForm)
    opm_Image_ZoomImage: TImage;
    procedure opm_Image_ZoomImageClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDeactivate(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
  private
    { Private declarations }
  public
  end;

var
  opm_Form_ImageZoom: Topm_Form_ImageZoom;

implementation

uses gnugettext, pedit, main, oscpmdata, balloons, attention;

{$R *.dfm}



{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_ImageZoom.opm_Image_ZoomImageClick(Sender: TObject);
begin
  opm_Form_ImageZoom.Close;
end;

{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_ImageZoom.FormShow(Sender: TObject);
begin
  opm_Form_ImageZoom.Left := opm_Form_PEdit.Left + 20;
  opm_Form_ImageZoom.Top := opm_Form_PEdit.Top + 20;
  opm_Form_ImageZoom.ClientWidth := opm_Image_ZoomImage.Picture.Width;
  opm_Form_ImageZoom.ClientHeight := opm_Image_ZoomImage.Picture.Height;
end;

{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_ImageZoom.FormCreate(Sender: TObject);
begin
  opm_Image_ZoomImage.Cursor := crHandPoint;
  TranslateComponent (self);
  PRballoon_SetFormBalloons (self, opmG_UIToolTips);
end;

{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_ImageZoom.FormDeactivate(Sender: TObject);
begin
  opm_Form_ImageZoom.Close;
  PRopm_Sound ('RestoreDown', opmG_UISilent);
end;

{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_ImageZoom.FormActivate(Sender: TObject);
begin
  opm_Form_ImageZoom.Left := opm_Form_PEdit.Left + 20;
  opm_Form_ImageZoom.Top := opm_Form_PEdit.Top + 20;
end;

{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_ImageZoom.FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
  opm_Form_ImageZoom.Close;
end;

end.
